services:
  db:
    image: mysql:5.7
    restart: always
    ports: 
      - "3309:3306"
    environment:
      MYSQL_DATABASE: 'todo_dev'
      MYSQL_USER: 'devops_dev'
      MYSQL_PASSWORD: 'mestre'
      MYSQL_ROOT_PASSWORD: 'senha'
    networks:
      - alurabook
  web:
    image: viniciusalcantara2018/bytebank:latest
    restart: always
    volumes:
      - ./env:/usr/src/app/to_do/.env
    ports:
      - "8009:8000"
    networks:
      - alurabook
    depends_on:
      - db
networks:
  alurabook:
    driver: bridge

